  /* Container */
    .mghighlight-content {
        max-width: 1440px;
        margin: auto;
        padding: 0 20px;
    }

    .mghighlight-heading{margin-top: 40px;}

    /* Heading */
    .mghighlight-title {        
        margin-bottom: 18px;
        font-family: Poppins;
        font-weight: 700;
        font-style: Bold;
        font-size: 36px;
        line-height: 46px;
        letter-spacing: 0.5px;
        color: #000000;
    }

    .mghighlight-heading p {
        font-size: 18px;
        margin-bottom: 40px;
    }

    /* Slider spacing */
    .mghighlight-row {
        margin: 0 0 48px;
    }

    
    .mghighlight-content h3{
        font-family: Poppins;
        font-weight: 500;
        font-size: 28px;
        line-height: 100%;
        letter-spacing: 0.09px;
        vertical-align: middle;
        margin-bottom: 18px;
        color: #000000;}

    /* Card */
    .mghighlight-card {
        position: relative;
        margin: 0 10px 0 0;
        overflow: hidden;
    }

    .mghighlight-card img {
        width: 100%;
        display: block;
    }


    /* Overlay */
    .mghighlight {
        position: absolute;
        left: 24px;
        right: 0;
        width: initial;
        bottom: 0;
        background: transparent;
        height: auto;
        z-index: 1;
        bottom: 24px
    }

    .mghighlight:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.8);
        background-attachment: fixed;
        -webkit-filter: blur(12px);
        filter: blur(12px);
        transform: scale(2) translateY(20px);
    }

    .location-distance {
        background-color: #0070EA;
        border-radius: 12px;
        padding: 3px 6px;
        color: #FFFFFF;
        font-family: "Manrope", sans-serif;
        font-weight: 700;
        font-size: 12px;
        line-height: 16px;
        letter-spacing: 0px;
        vertical-align: middle;
        display: inline-block;
        position: relative;
        z-index: 2;
    }

    .mghighlight h3 {
        font-family: "Plus Jakarta Sans", sans-serif;
        font-weight: 700;
        font-size: 20px;
        line-height: 28px;
        letter-spacing: 0px;
        vertical-align: middle;
        margin: 0;
        color: #fff;
        position: relative;
        z-index: 2;
    }

    .mghighlight p {
        font-family: "Manrope", sans-serif;
        font-weight: 400;
        font-size: 12px;
        line-height: 16px;
        letter-spacing: 0px;
        vertical-align: middle;
        color: #fff;
        margin: 5px 0 0;
        position: relative;
        z-index: 2;
        padding-right: 25px;
    }


    /* Mobile */
    @media (max-width:768px) {
        .mghighlight-overlay {
            bottom: 0;
        }
        .mghighlight p {padding-right: 10px;}
    }

    /* Slick arrows fix */
    .slick-prev,
    .slick-next {
        z-index: 10;
    }

    .slick-prev:before,
    .slick-next:before {
        color: #000;
        font-size: 24px;
    }

     .adventures-content {
        max-width: 1440px;
        margin: 0 auto;
        padding: 0 20px;
    }

    .adventures-content h3 {
        font-family: Poppins;
        font-weight: 500;
        font-size: 28px;
        line-height: 100%;
        letter-spacing: 0.09px;
        vertical-align: middle;
        margin-bottom: 18px;
        color: #000000;
    }

    .adventures-row {
        display: flex;
    }

    .adventures-card {
        position: relative;
        width: 20%;
        overflow: hidden;
    }

    .adventures-card img {
        width: 100%;
        display: block;
    }

    .adventures-card h3 {
        color: #fff;
        writing-mode: vertical-rl;
        text-orientation: mixed;
        position: absolute;
        bottom: 18px;
        right: 18px;
        z-index: 9;
        font-family: Poppins;
        font-weight: 700;
        font-size: 54px;
        line-height: 113.99999999999999%;
        letter-spacing: 0.5px;
        transform: rotate(180deg);
    }

    /* Overlay */
    .adventures-overlay {
        position: absolute;
        bottom: -100%;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.8);
        display: flex;
        justify-content: start;
        align-items: start;
        transition: bottom 0.6s ease;
        z-index: 10;
        backdrop-filter: blur(5px);
    }

    /* Vertical text */
    .adventures-overlay ul {
        margin: 50px 20px;
    }

    .adventures-overlay ul li {

        font-family: Poppins;
        font-weight: 300;
        font-size: 14px;
        line-height: 21px;
        letter-spacing: 0.1px;
        color: #EDEDED;
        min-height: 24px;
    }

    /* Hover effect */
    .adventures-card:hover .adventures-overlay {
        bottom: 0;
    }

    @media (max-width: 1024px) {

        .adventures-row {
            display: flex;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            gap: 12px;
            padding-bottom: 10px;
        }

        .adventures-row::-webkit-scrollbar {
            display: none;
            /* hide scrollbar */
        }

        .adventures-card {
            min-width: 30%;
            /* each card takes most of screen */
            flex: 0 0 auto;
            scroll-snap-align: start;
            width: auto;
            /* override 20% */
        }

        /* Optional: smaller vertical title */
        .adventures-card h3 {
            font-size: 32px;
            right: 20px;
            top: 20px;
            bottom: auto;
        }

        /* Overlay always visible on mobile (no hover) */
        .adventures-overlay {
            bottom: 0;
            background: transparent;
            height: auto;
        }

        .adventures-overlay:before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.8);
            background-attachment: fixed;
            -webkit-filter: blur(12px);
            filter: blur(12px);
            transform: scale(2) translateY(20px);
        }

        .adventures-overlay ul {
            margin: 30px 10px 20px;
            z-index: 11;
        }
    }

    @media (max-width: 992px) {
        .adventures-card {
            min-width: 40%;
        }
    }

    @media (max-width: 768px) {
        .adventures-card {
            min-width: 80%;
        }
    }